/*
 * Copyright (C) 2013 Matthew Dawson <matthew@mjdsystems.ca>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package ca.mcmaster.cas.smtlibchecker;

import java.util.List;
import java.util.Map;

/**
 * @author Matthew Dawson <matthew@mjdsystems.ca>
 */
final public class CheckerRunnerResult {
    public String Query;
    public Map<String, String> SampleValues;

    public String GenerateMatlabVariableDeclarations() {
        StringBuilder ret = new StringBuilder();
        for(Map.Entry<String, String> var: SampleValues.entrySet()) {
            ret.
                    append(var.getKey()).
                    append(" = ").
                    append(var.getValue()).
                    append(";\n");
        }
        return ret.toString();
    }
}
